Subject: Re: bug#31446: 26.1; sql-interactive-mode buffer naming is broken

From: Michael Mauger <[email-masked]>
Date: Tue, 29 May 2018 10:36:13 -0400

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐

On May 29, 2018 3:52 AM, Filipp Gunbin <[email-masked]> wrote:

> ​​
> 
> On 23/05/2018 09:48 -0400, Michael Mauger wrote:
> 
> > There is some confusion here and I will take a look. I won't get to it
> > 
> > until this weekend however.
> 
> Michael, ping?
> 
> Thanks.

Sorry, got home late last nite from the long weekend (US Memorial Day).  I was away but spent several hours researching this over the weekend and trying to figure out how to address it.

I was confused because I had addressed this bug months ago. My work journal indicates that I had committed a significant reworking of the buffer naming code last Fall. However, it appears that I messed up with git and the commit never made it to savannah. I was using a copy of the changes on an older distribution I use in the office where I interact with databases daily. 

I realize that 26.1 has been released, so my changes obviously won't make it. I have a version of the package with vastly improved and consistent buffer naming but I want to now test it more heavily. My plan is to update the DOCSTRINGs, update the NEWS file, and add to the test suite so that behavior is better defined and consistent. Longer-term, I want to introduce a Info document to describe configuration and workflows related to SQL development.

I am very sorry that I messed this up and hadn't properly followed-up to make sure things were stable. I have been battling with my employer over my contributions which are not done on their time. Despite their interference, I am refocusing my energy on the sql.el code and making sure that its quality meets the high standards of the rest of Emacs.

​-- 
[email-masked] // FSF and EFF member // GNU Emacs sql.el maintainer​